# FIXME parset
#' @S3method makeRLearner classif.lvq1
makeRLearner.classif.lvq1 = function() {
  makeRLearnerClassif(
    cl = "classif.lvq1",
    package = "class",
    par.set = makeParamSet(
    ), 
    oneclass = FALSE,
    twoclass = TRUE,
    multiclass = TRUE,
    missings = FALSE,
    numerics = TRUE,
    factors = TRUE,
    prob = FALSE,
    weights = FALSE
  )
}

#' @S3method trainLearner classif.lvq1		
trainLearner.classif.lvq1 = function(.learner, .task, .subset, .weights,  ...) {
  d = getTaskData(.task, .subset, target.extra=TRUE)
  cdbk.args = insert(list(), list(...), c("size", "k", "prior"))
  cdbk.args$x = d$data
  cdbk.args$cl = d$target 
  codebk = do.call(lvqinit, cdbk.args)  

  lvq.args = insert(list(), list(...), c("niter", "alpha"))
  lvq.args$x = d$data 
  lvq.args$cl = d$target 
  lvq.args$codebk = codebk 
  do.call(lvq1, lvq.args)  
}

#' @S3method predictLearner classif.lvq1	
predictLearner.classif.lvq1 = function(.learner, .model, .newdata, ...) {
  lvqtest(.model$learner.model, test=.newdata, ...)
}
